from parallels.core.utils.entity import Entity


class ApsFilter(Entity):
    def __init__(self, filter_id, filter_type):
        self._filter_id = filter_id
        self._filter_type = filter_type

    @property
    def filter_id(self):
        """
        :rtype: str | unicode
        """
        return self._filter_id

    @property
    def filter_type(self):
        """
        :rtype: str | unicode
        """
        return self._filter_type
